Page MenuHomePhabricator

Refactor out 'infinity' variants
Closed, ResolvedPublic

Description

In ProtectionForm:
if ( $value == 'infinite' || $value == 'indefinite' || $value == 'infinity' ) {

In ApiProtect:
if ( in_array( $expiry[$i], array( 'infinite', 'indefinite', 'infinity', 'never' ) ) ) {

There's a few places in the code we check for these variants of infinity. They should be refactored out


Version: unspecified
Severity: minor

Details

Reference
bz66646
Related Gerrit Patches:
mediawiki/core : masterRefactor out 'infinity' variants

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:13 AM
bzimport set Reference to bz66646.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jun 15 2014, 11:57 PM

Change 140276 had a related patch set uploaded by devunt:
Refactor out 'infinity' variants

https://gerrit.wikimedia.org/r/140276

Krinkle added a subscriber: Krinkle.

Change 140276 had a related patch set uploaded (by devunt):
Refactor out 'infinity' variants

https://gerrit.wikimedia.org/r/140276

Patch-For-Review

devunt claimed this task.Jan 28 2015, 1:56 PM
devunt raised the priority of this task from Lowest to Normal.
devunt set Security to None.

I think there is actually no 'debt' in this issue.

Change 140276 merged by jenkins-bot:
Refactor out 'infinity' variants

https://gerrit.wikimedia.org/r/140276

Anomie closed this task as Resolved.Mar 12 2015, 6:30 PM